{ pkgs, ... }: 
{
  home = {
    packages = with pkgs; [ hyprland-autoname-workspaces ];
    file.".config/hyprland-autoname-workspaces/config.toml".text = let 
      icons = /* toml */ ''
        DEFAULT = "{class}"
        "Alacritty"             = ""
        "Bitwarden"             = ""
        "blueman-manager"       = "󰂯"
        "chatterino"            = ""
        "Chromium"              = ""
        "chromium-browser"      = ""
        "code"                  = "󰨞"
        "code-oss"              = "󰨞"
        "codium"                = "󰨞"
        "codium-url-handler"    = "󰨞"
        "com.mitchellh.ghostty" = "󰊠"
        "com.obsproject.Studio" = ""
        "discord"               = "󰙯"
        "Element"               = "󰘨"
        "epicgameslauncher.exe" = "󰯷"
        ".*.exe"                = ""
        "firefox"               = "󰈹"
        "galaxyclient.exe"      = "󰮡"
        "\\.?gimp-.*"           = ""
        "F?imv.*"               = "󰋩"
        "KiCad"                 = ""
        "kitty"                 = ""
        "libreoffice-calc"      = ""
        "libreoffice-writer"    = ""
        "lutris"                = "󰊗"
        "mpv"                   = ""
        "obsidian"              = "󰠮"
        "org.inkscape.Inkscape" = "󰕙"
        "org.remmina.Remmina"   = "󰢹"
        "pavucontrol"           = "󰕾"
        "pcbnew"                = ""
        "Signal"                = "󱅵"
        "spotify"               = ""
        "Spotify"               = ""
        "steam"                 = "󰓓"
        "thunar"                = ""
        "thunderbird"           = ""
        "Tor Browser"           = "󰾔"
        "vesktop"               = "󰙯"
        "virt-manager"          = ""
        "VirtualBox"            = ""
        "VirtualBox Machine"    = ""
        "VirtualBox Manager"    = ""
        "VSCodium"              = "󰨞"
        "Xsane"                 = "󰈈"
        "zathura"               = "󰈦"
        "zoom"                  = "󰬡"
      '';
    in /* toml */ ''
      version = "1.1.15"

      [format]
      dedup                     = false
      dedup_inactive_fullscreen = false
      delim                     = " "
      workspace                 = "{id}:{clients}"
      workspace_empty           = "{id}"
      client                    = "{icon}"
      client_fullscreen         = "F{icon}"
      client_active             = "<u>{icon}</u>"
      client_dup                = "{icon}x{counter}"
      client_dup_active         = "<u>{icon}</u>{delim}{icon}x{counter_unfocused}"
      client_dup_fullscreen     = "F{icon}{delim}{icon}x{counter_unfocused}"

      [exclude]
      "steam" = "^(Friends List.*)?$"
      "fcitx" = ".*"

      [class]
      ${icons}

      [class_active]

      [initial_class]

      [initial_class_active]

      [workspaces_name]

      [title_in_class]

      [title_in_class_active]

      [title_in_initial_class]

      [title_in_initial_class_active]

      [initial_title_in_class]

      [initial_title_in_class_active]

      [initial_title_in_initial_class]

      [initial_title_in_initial_class_active]
    '';
  };
}
